package com.iamberry.wechat.service.customized;

import com.iamberry.wechat.core.entity.customized.CustomizedColor;
import com.iamberry.wechat.face.customized.CustomizedColorService;
import com.iamberry.wechat.service.mapper.CustomizedColorMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  牙刷定制-颜色表接口
 * @author w
 * @Date 2018-05-25
 */
@Service
public class CustomizedColorServiceImpl  implements CustomizedColorService {
    @Autowired
    private CustomizedColorMapper customizedColorMapper;
    /**
     * 获取集合
     * @param  customizedColor
     * @return List
     */
    @Override
    public List<CustomizedColor> getCustomizedColorList(CustomizedColor  customizedColor){
        return  customizedColorMapper.getCustomizedColorList(customizedColor);
    }
    /**
     * 查询单条数据
     * @param  id
     * @return  customizedColor
     */
    @Override
    public  CustomizedColor  getCustomizedColorById(Integer  id){
        return  customizedColorMapper.getCustomizedColorById(id);
    }
    /**
     * 增加数据
     * @param  customizedColor
     * @return Integer
     */
    @Override
    public  Integer  save(CustomizedColor  customizedColor){
        return  customizedColorMapper.save(customizedColor);
    }
    /**
     * 修改数据
     * @param  customizedColor
     * @return Integer
     */
    @Override
    public  Integer  update(CustomizedColor  customizedColor){
        return  customizedColorMapper.update(customizedColor);
    }
}
